#
# spec file for package pdfspec (Version 0.9.x)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           pdfmod
License:        GPL v2.0 or later
Group:          Productivity/Office/Other
Version:        0.9.1
Release:        4%{?dist}
Summary:        PDF Modifier
Url:            http://live.gnome.org/PdfMod
Source:         http://ftp.acc.umu.se/pub/GNOME/sources/pdfmod/0.9/%{name}-%{version}.tar.bz2
Source1:         pdfmod-poppler-sharp.dll.config
#patch for mono 2.10
Patch0:         pdfmod-mono-2.10-1.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  hyena >= 0.5
BuildRequires:  docbook-dtds
BuildRequires:  gmime-sharp
BuildRequires:  gnome-doc-utils
BuildRequires:  gnome-sharp-devel
BuildRequires:  gnome-sharp
BuildRequires:  gtk-sharp2
BuildRequires:  gtk-sharp2-gapi
BuildRequires:  mono-basic
BuildRequires:  mono-data-sqlite
BuildRequires:  mono-devel
BuildRequires:  mono-nunit
BuildRequires:  ndesk-dbus
BuildRequires:  ndesk-dbus-glib-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  scrollkeeper
BuildRequires:  tango-icon-theme
BuildRequires:  make autoconf automake libtool pkgconfig
BuildRequires:  intltool perl-XML-Parser
Requires:       mono-core
Requires:       gtk-sharp2
Requires:       poppler-glib

%description
PDF Mod is a simple tool for modifying your PDFs; moving, removing, extracting, and rotating pages.

Authors:
--------
    Gabriel Burt <gabriel.burt@gmail.com>

%prep
%setup
%patch0 -p1
# upstream uses 0.4 vs Fedora current 0.6
cp %{SOURCE1} lib/poppler-sharp/poppler-sharp/poppler-sharp.dll.config

%build
%configure 
make

%install
make install DESTDIR=%{buildroot}

%find_lang %{name}

desktop-file-install --dir=%{buildroot}%{_datadir}/applications/   %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi
update-desktop-database &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS NEWS README COPYING
%{_bindir}/%{name}
%{_libdir}/%{name}
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gnome/help/pdfmod/*/pdfmod.xml


%changelog
* Wed Aug 19 2011 <ismael@olea.org> 0.9.1-4
- minor changes for compiling in Fedora
- fix dep to libpoppler-glib.so.6

* Mon Jul 21 2011 <lfelicite@clever-age.com> 0.9.1-3
- Add mono 2.10  patch
- Add post et postun since libpoppler-glib.so.4 doesn't anymore

* Mon Jul 18 2011 <lfelicite@clever-age.com> 0.9.1-1
- prise en main

* Wed Sep 16 2009 <ismael@olea.org> 0.2-1.olea
- minor changes for compiling

* Wed Sep  9 2009 gburt@suse.de
- Version 0.7
  * View Fullscreen option
  * User docs translated into ca
  * Build fixes for *bsd
  * Update recent files list after opening a document
  * libdir expansion issue fixed in Hyena, depend on 0.2
* Tue Aug 18 2009 gburt@suse.de
- Version 0.6
* Fri Aug  7 2009 gburt@suse.de
- Version 0.5
* Tue Aug  4 2009 gburt@suse.de
- Version 0.4
* Mon Jul 27 2009 gburt@suse.de
- Version 0.3
* Fri Jul 24 2009 gburt@suse.de
- Version 0.2 (bundling Mono.Data.Sqlite)
* Thu Jul 23 2009 gburt@suse.de
- Initial version (0.1)
